Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.Watch.Empty

    java.lang.Object
      avrora.sim.Simulator.Watch.Empty

All Implemented Interfaces:
  Simulator.Watch

Direct Known Subclasses:
  MemoryCounter, MemoryProfiler, Simulator.IORWatch.Empty

Enclosing class:
  Simulator.Watch

public static class Simulator.Watch.Empty
extends java.lang.Object
implements Simulator.Watch

The `Simulator.Watch.Empty` class acts as a base class with empty methods for each fireXXX() method. This makes it easier to write much shorter simple watches because empty methods are simply inherited.

Nested Class Summary

Nested classes inherited from class avrora.sim.Simulator.Watch
`Simulator.Watch.Empty`

Constructor Summary
`Simulator.Watch.Empty()`

Method Summary
`void` | `fireAfterRead(State state, int data_addr, byte value)` The `fireAfterRead()` method is called after the data address is read by the program.
`void` | `fireAfterWrite(State state, int data_addr, byte value)` The `fireAfterWrite()` method is called after the data address is written by the program.
`void` | `fireBeforeRead(State state, int data_addr)` The `fireBeforeRead()` method is called before the data address is read by the program.
`void` | `fireBeforeWrite(State state, int data_addr, byte value)` The `fireBeforeWrite()` method is called before the data address is written by the program.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Simulator.Watch.Empty

    public Simulator.Watch.Empty()

Method Detail

### fireBeforeRead

    public void fireBeforeRead(State state,
                               int data_addr)

  The `fireBeforeRead()` method is called before the data address is read by the program. In the implementation of the Empty watch, this method does nothing.

  Specified by:
    `fireBeforeRead` in interface `Simulator.Watch`
  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced

### fireBeforeWrite

    public void fireBeforeWrite(State state,
                                int data_addr,
                                byte value)

  The `fireBeforeWrite()` method is called before the data address is written by the program. In the implementation of the Empty watch, this method does nothing.

  Specified by:
    `fireBeforeWrite` in interface `Simulator.Watch`
  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced
    `value` - the value being written to the memory location

### fireAfterRead

    public void fireAfterRead(State state,
                              int data_addr,
                              byte value)

  The `fireAfterRead()` method is called after the data address is read by the program. In the implementation of the Empty watch, this method does nothing.

  Specified by:
    `fireAfterRead` in interface `Simulator.Watch`
  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced
    `value` - the value of the memory location being read

### fireAfterWrite

    public void fireAfterWrite(State state,
                               int data_addr,
                               byte value)

  The `fireAfterWrite()` method is called after the data address is written by the program. In the implementation of the Empty watch, this method does nothing.

  Specified by:
    `fireAfterWrite` in interface `Simulator.Watch`
  Parameters:
    `state` - the state of the simulation
    `data_addr` - the address of the data being referenced
    `value` - the value being written to the memory location

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD